CVE-2018-3737

NameCVE-2018-3737
Descriptionsshpk is vulnerable to ReDoS when parsing crafted invalid public keys.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs901093

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
node-sshpk (PTS)buster, sid1.13.1+dfsg-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
node-sshpksource(unstable)(unfixed)unimportant901093

Notes

https://github.com/joyent/node-sshpk/issues/44
https://github.com/joyent/node-sshpk/commit/46065d38a5e6d1bccf86d3efb2fb83c14e3f9957
nodejs not covered by security support

Search for package or bug name: Reporting problems